edu.sc.seis.sod.velocity

## Class PrintlineVelocitizer

- java.lang.Object
- - edu.sc.seis.sod.velocity.PrintlineVelocitizer

-     public class PrintlineVelocitizer
      extends java.lang.Object

  Handles getting stuff in the context and directing output to System.out or a file for the printlineprocess classes

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintlineVelocitizer(java.lang.String[] strings)` Evaluates the templates such that errors might be discovered

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `evaluate(java.lang.String fileTemplate, java.lang.String template, edu.iris.Fissures.IfNetwork.Channel chan)`
    `java.lang.String` | `evaluate(java.lang.String fileTemplate, java.lang.String template, edu.iris.Fissures.IfEvent.EventAccessOperations event)`
    `java.lang.String` | `evaluate(java.lang.String filename, java.lang.String template, edu.iris.Fissures.IfEvent.EventAccessOperations event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request, CookieJar cookieJar)`
    `java.lang.String` | `evaluate(java.lang.String filename, java.lang.String template, edu.iris.Fissures.IfEvent.EventAccessOperations event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, CookieJar cookieJar)`
    `java.lang.String` | `evaluate(java.lang.String fileTemplate, java.lang.String template, edu.iris.Fissures.IfEvent.EventAccessOperations event, edu.iris.Fissures.network.ChannelImpl channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available, edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms, CookieJar cookieJar)`
    `java.lang.String` | `evaluate(java.lang.String fileTemplate, java.lang.String template, edu.iris.Fissures.IfEvent.EventAccessOperations event, edu.iris.Fissures.network.StationImpl sta, CookieJar cookieJar)`
    `java.lang.String` | `evaluate(java.lang.String fileTemplate, java.lang.String template, edu.iris.Fissures.IfNetwork.NetworkAttr attr)`
    `java.lang.String` | `evaluate(java.lang.String fileTemplate, java.lang.String template, edu.iris.Fissures.network.StationImpl sta)`
    `java.lang.String` | `evalulate(java.lang.String fileTemplate, java.lang.String template, org.apache.velocity.VelocityContext ctx)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintlineVelocitizer

          public PrintlineVelocitizer(java.lang.String[] strings)
                               throws ConfigurationException

      Evaluates the templates such that errors might be discovered
      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### evaluate

          public java.lang.String evaluate(java.lang.String fileTemplate,
                                           java.lang.String template,
                                           edu.iris.Fissures.IfNetwork.NetworkAttr attr)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### evaluate

          public java.lang.String evaluate(java.lang.String fileTemplate,
                                           java.lang.String template,
                                           edu.iris.Fissures.IfNetwork.Channel chan)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### evaluate

          public java.lang.String evaluate(java.lang.String fileTemplate,
                                           java.lang.String template,
                                           edu.iris.Fissures.network.StationImpl sta)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### evaluate

          public java.lang.String evaluate(java.lang.String fileTemplate,
                                           java.lang.String template,
                                           edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                           edu.iris.Fissures.network.StationImpl sta,
                                           CookieJar cookieJar)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### evaluate

          public java.lang.String evaluate(java.lang.String filename,
                                           java.lang.String template,
                                           edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                           edu.iris.Fissures.network.ChannelImpl channel,
                                           edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request,
                                           CookieJar cookieJar)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### evaluate

          public java.lang.String evaluate(java.lang.String filename,
                                           java.lang.String template,
                                           edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                           edu.iris.Fissures.network.ChannelImpl channel,
                                           edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                           edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                           CookieJar cookieJar)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### evaluate

          public java.lang.String evaluate(java.lang.String fileTemplate,
                                           java.lang.String template,
                                           edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                           edu.iris.Fissures.network.ChannelImpl channel,
                                           edu.iris.Fissures.IfSeismogramDC.RequestFilter[] original,
                                           edu.iris.Fissures.IfSeismogramDC.RequestFilter[] available,
                                           edu.iris.Fissures.seismogramDC.LocalSeismogramImpl[] seismograms,
                                           CookieJar cookieJar)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### evaluate

          public java.lang.String evaluate(java.lang.String fileTemplate,
                                           java.lang.String template,
                                           edu.iris.Fissures.IfEvent.EventAccessOperations event)
                                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### evalulate

          public java.lang.String evalulate(java.lang.String fileTemplate,
                                            java.lang.String template,
                                            org.apache.velocity.VelocityContext ctx)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`